curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_block_trades \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_block_trades",
"params": {
"count": 1,
"currency": "BTC"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_block_trades"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_block_trades",
"params": {
"count": 1,
"currency": "BTC"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/get_block_trades',
params: {count: 1, currency: 'BTC'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_block_trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"result": [
{
"id": "66",
"timestamp": 1565093070165,
"trades": [
{
"amount": 2.3,
"block_trade_id": "66",
"direction": "sell",
"fee": 0,
"fee_currency": "BTC",
"index_price": 11758.65,
"instrument_name": "BTC-9AUG19-11500-P",
"iv": 72.38,
"liquidity": "M",
"matching_id": null,
"order_id": "343121",
"order_type": "limit",
"price": 0.0151,
"state": "filled",
"tick_direction": 2,
"timestamp": 1565093070164,
"trade_id": "92462",
"trade_seq": 4
},
{
"amount": 50,
"block_trade_id": "66",
"direction": "sell",
"fee": 0,
"fee_currency": "BTC",
"index_price": 11758.65,
"instrument_name": "BTC-9AUG19",
"liquidity": "M",
"matching_id": null,
"order_id": "343117",
"order_type": "limit",
"price": 11753,
"state": "filled",
"tick_direction": 2,
"timestamp": 1565093070164,
"trade_id": "92460",
"trade_seq": 41
}
]
}
]
}private/get_block_trades
Returns a list of the user’s block trades. If currency is not provided, returns block trades for all currencies. block_rfq_id can be provided to receive block trades related to that particular Block RFQ.
📖 Related Article: Block Trading
Scope: rat#view or wallet:transactions:read
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Count of Block Trades returned, maximum - 101
1 <= x <= 101Response will contain block trades older than the one provided in this field Block trade id
"154"
The id of the oldest block trade to be returned, start_id is required with end_id
Block trade id
"154"
ID of the Block RFQ
Broker code to filter block trades. Only broker clients can use broker_code to filter broker block trades. Use any for all block trades.
"2krM7sJsx"
Was this page helpful?